import { Pipe, PipeTransform } from '@angular/core';
import { EndCheck } from '../models/endCheck';

@Pipe({
  name: 'endcheck'
})
export class EndCheckPipe implements PipeTransform {

  transform(endChecks: Array<EndCheck>, ...args: unknown[]): string {

    var declarations = this.getEndCheckDeclarations(endChecks).join(", ");
    return declarations;
  }

  private getEndCheckDeclarations(endChecks: Array<EndCheck>): Array<String> {
    var endCheckDeclarations = Array<String>();
    for(let endCheck of endChecks) {
      var declaration = endCheck.variable + endCheck.compareOperator + endCheck.value;
      endCheckDeclarations.push(declaration);
    }

    return endCheckDeclarations;
  }
}
